<?php
namespace AkTest\Woo\Model;

use Ak\Woo\Model\ConfigProvider;
use Zend\ConfigAggregator\ArrayProvider;
use Zend\ConfigAggregator\ConfigAggregator;

/**
 * Class TestConfigProvider
 *
 * @package AkTest\Woo\Model
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/skel
 */
final class TestConfigProvider
{
    /**
     * @return array
     */
    public function __invoke(): array
    {
        return (new ConfigAggregator([
            ConfigProvider::class,
            new ArrayProvider([

            ]),
        ]))->getMergedConfig();
    }
}